Index: docs/sphinx-docs/build_sphinx.py
===================================================================
--- docs/sphinx-docs/build_sphinx.py	(revision 7168b8b970d6b5be3f4d1a32aaf5b7d6b8fa240a)
+++ docs/sphinx-docs/build_sphinx.py	(revision 296f290508e54c16160ecf8336c29c445870c846)
@@ -29,7 +29,4 @@
 SPHINX_SOURCE = os.path.join(CURRENT_SCRIPT_DIR, "source")
 SPHINX_SOURCE_API = os.path.join(SPHINX_SOURCE, "dev", "api")
-SPHINX_SOURCE_GUIFRAME = os.path.join(SPHINX_SOURCE, "user", "guiframe")
-SPHINX_SOURCE_MODELS = os.path.join(SPHINX_SOURCE, "user", "models")
-SPHINX_SOURCE_PERSPECTIVES = os.path.join(SPHINX_SOURCE, "user", "perspectives")
 
 def _remove_dir(dir_path):
@@ -46,7 +43,4 @@
     _remove_dir(SASVIEW_DOCS)
     _remove_dir(SPHINX_BUILD)
-    _remove_dir(SPHINX_SOURCE_GUIFRAME)
-    _remove_dir(SPHINX_SOURCE_MODELS)
-    _remove_dir(SPHINX_SOURCE_PERSPECTIVES)
 
 def retrieve_user_docs():
Index: src/sas/dataloader/data_info.py
===================================================================
--- src/sas/dataloader/data_info.py	(revision 7eaf9f21f295baa6e9594bfada6f9dde6baa5f67)
+++ src/sas/dataloader/data_info.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -25,55 +25,4 @@
 import numpy
 import math
-
-
-class plottable_sesans1D:
-    """
-    SESANS is a place holder for 1D SESANS plottables.
-    
-    #TODO: This was directly copied from the plottables_1D.
-    #TODO: The class has not been updated from there.
-    """
-    # The presence of these should be mutually
-    # exclusive with the presence of Qdev (dx)
-    x = None
-    y = None
-    dx = None
-    dy = None
-    ## Slit smearing length
-    dxl = None
-    ## Slit smearing width
-    dxw = None
-    
-    # Units
-    _xaxis = ''
-    _xunit = ''
-    _yaxis = ''
-    _yunit = ''
-    
-    def __init__(self, x, y, dx=None, dy=None, dxl=None, dxw=None):
-        self.x = numpy.asarray(x)
-        self.y = numpy.asarray(y)
-        if dx is not None:
-            self.dx = numpy.asarray(dx)
-        if dy is not None:
-            self.dy = numpy.asarray(dy)
-        if dxl is not None:
-            self.dxl = numpy.asarray(dxl)
-        if dxw is not None: 
-            self.dxw = numpy.asarray(dxw)
-
-    def xaxis(self, label, unit):
-        """
-        set the x axis label and unit
-        """
-        self._xaxis = label
-        self._xunit = unit
-        
-    def yaxis(self, label, unit):
-        """
-        set the y axis label and unit
-        """
-        self._yaxis = label
-        self._yunit = unit
 
 
@@ -991,80 +940,4 @@
         
         
-class SESANSData1D(plottable_sesans1D, DataInfo):
-    """
-    SESANS 1D data class
-    """
-    x_unit = '1/A'
-    y_unit = '1/cm'
-    
-    def __init__(self, x, y, dx=None, dy=None):
-        DataInfo.__init__(self)
-        plottable_sesans1D.__init__(self, x, y, dx, dy)
-        
-    def __str__(self):
-        """
-        Nice printout
-        """
-        _str =  "%s\n" % DataInfo.__str__(self)
-    
-        _str += "Data:\n"
-        _str += "   Type:         %s\n" % self.__class__.__name__
-        _str += "   X-axis:       %s\t[%s]\n" % (self._xaxis, self._xunit)
-        _str += "   Y-axis:       %s\t[%s]\n" % (self._yaxis, self._yunit)
-        _str += "   Length:       %g\n" % len(self.x)
-
-        return _str
-
-    def is_slit_smeared(self):
-        """
-        Check whether the data has slit smearing information
-        
-        :return: True is slit smearing info is present, False otherwise
-        
-        """
-        def _check(v):
-            if (v.__class__ == list or v.__class__ == numpy.ndarray) \
-                and len(v) > 0 and min(v) > 0:
-                return True
-            
-            return False
-        
-        return _check(self.dxl) or _check(self.dxw)
-        
-    def clone_without_data(self, length=0, clone=None):
-        """
-        Clone the current object, without copying the data (which
-        will be filled out by a subsequent operation).
-        The data arrays will be initialized to zero.
-        
-        :param length: length of the data array to be initialized
-        :param clone: if provided, the data will be copied to clone
-        """
-        from copy import deepcopy
-        
-        if clone is None or not issubclass(clone.__class__, Data1D):
-            x  = numpy.zeros(length)
-            dx = numpy.zeros(length)
-            y  = numpy.zeros(length)
-            dy = numpy.zeros(length)
-            clone = Data1D(x, y, dx=dx, dy=dy)
-        
-        clone.title          = self.title
-        clone.run            = self.run
-        clone.filename       = self.filename
-        clone.instrument     = self.instrument
-        clone.notes          = deepcopy(self.notes)
-        clone.process        = deepcopy(self.process)
-        clone.detector       = deepcopy(self.detector)
-        clone.sample         = deepcopy(self.sample)
-        clone.source         = deepcopy(self.source)
-        clone.collimation    = deepcopy(self.collimation)
-        clone.trans_spectrum = deepcopy(self.trans_spectrum)
-        clone.meta_data      = deepcopy(self.meta_data)
-        clone.errors         = deepcopy(self.errors)
-        
-        return clone
-    
-    
 class Data2D(plottable_2D, DataInfo):
     """
Index: src/sas/dataloader/manipulations.py
===================================================================
--- src/sas/dataloader/manipulations.py	(revision 400155bab01bdb35b3cf83069f57cf9f47005bca)
+++ src/sas/dataloader/manipulations.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
@@ -582,5 +582,5 @@
     """
     #Todo: remove center.
-    def __init__(self, r_min=0, r_max=0, center_x=0, center_y=0, nbins=36):
+    def __init__(self, r_min=0, r_max=0, center_x=0, center_y=0, nbins=20):
         # Minimum radius
         self.r_min = r_min
@@ -593,5 +593,4 @@
         # Number of angular bins
         self.nbins_phi = nbins
-
         
     def __call__(self, data2D):
@@ -623,8 +622,5 @@
         phi_values = numpy.zeros(self.nbins_phi)
         phi_err    = numpy.zeros(self.nbins_phi)
-	
-	# Shift to apply to calculated phi values in order to center first bin at zero
-	phi_shift = Pi / self.nbins_phi
-
+        
         for npt in range(len(data)):
             frac = 0
@@ -641,9 +637,9 @@
                 continue
             # binning           
-            i_phi = int(math.floor((self.nbins_phi) * (phi_value+phi_shift) / (2 * Pi)))
+            i_phi = int(math.floor((self.nbins_phi) * phi_value / (2 * Pi)))
             
             # Take care of the edge case at phi = 2pi.
-            if i_phi >= self.nbins_phi:
-                i_phi =  0
+            if i_phi == self.nbins_phi:
+                i_phi =  self.nbins_phi - 1
             phi_bins[i_phi] += frac * data[npt]
             
@@ -659,5 +655,5 @@
             phi_bins[i] = phi_bins[i] / phi_counts[i]
             phi_err[i] = math.sqrt(phi_err[i]) / phi_counts[i]
-            phi_values[i] = 2.0 * math.pi / self.nbins_phi * (1.0 * i)
+            phi_values[i] = 2.0 * math.pi / self.nbins_phi * (1.0 * i + 0.5)
             
         idx = (numpy.isfinite(phi_bins))
Index: src/sas/guiframe/documentation_window.py
===================================================================
--- src/sas/guiframe/documentation_window.py	(revision a4340d15b57fa97c7b1aa5163477cfd700794496)
+++ src/sas/guiframe/documentation_window.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
@@ -1,7 +1,5 @@
-import os
-import logging
 import wx
 from wx import Frame
-import webbrowser
+
 wx_supports_html2 = float(wx.__version__[:3]) >= 2.9
 if wx_supports_html2:
@@ -10,32 +8,14 @@
     import wx.html as html
 
-   
 class DocumentationWindow(Frame):
     def __init__(self, parent, id, path, title='Help', size=(850, 540)):
         Frame.__init__(self, parent, id, title, size=size)
 
-        SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
-        if SPHINX_DOC_ENV in os.environ:
-            docs_path = os.path.join(os.environ[SPHINX_DOC_ENV])
-        else:
-            docs_path = os.path.join(PATH_APP, "..", "..", "doc")
-
-        if (not os.path.exists(docs_path)):
-            print "logging"
-            logging.error("Could not find Sphinx documentation at %s \
-            -- has it been built?", docs_path)
-
-        elif wx_supports_html2:
+        if wx_supports_html2:
             # Complete HTML/CSS support!
             self.view = html.WebView.New(self)
-            self.view.LoadURL("file://" + docs_path + '\\' + path)
-            self.Show()
-        else: 
-            #For cases that do not build against current version dependency
-            # Wx 3.0 we provide a webbrowser call - this is particularly for 
-            #Red hat used at SNS for which Wx 3.0 is not available.  This
-            #does not deal with issue of math in docs of course. 
-
-            webbrowser.open_new_tab("file:///" + docs_path + "/" + path)
-
- 
+            self.view.LoadURL("file://" + path)
+        else:
+            # This ain't gonna be pretty...
+            self.view = html.HtmlWindow(self, -1, style=wx.NO_BORDER)
+            self.view.LoadPage(path)
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision a4340d15b57fa97c7b1aa5163477cfd700794496)
+++ src/sas/guiframe/gui_manager.py	(revision 9bbb627ef6fd79891e4df4ebca57204c76bc08d1)
@@ -24,4 +24,5 @@
 import logging
 import httplib
+import webbrowser
 
 
@@ -2152,7 +2153,8 @@
     def _onSphinxDocs(self, evt):
         """
-        Bring up Sphinx Documentation at top level whenever the menu item
-        'documentation' is clicked. Calls DocumentationWindow with the top
-        level path of "index.html"
+        Bring up Sphinx Documentation.  If Wx 2.9 or higher is installed 
+        with proper HTML support then Pop up a Sphinx Documentation dialog
+        locally.  If not pop up a new tab in the default system browser 
+        calling the documentation website.
         
         :param evt: menu event
@@ -2160,9 +2162,24 @@
         # Running SasView "in-place" using run.py means the docs will be in a
         # different place than they would otherwise.
-        from documentation_window import DocumentationWindow
-        
-        sphinx_doc_viewer = DocumentationWindow(self, -1, "index.html")
-#        sphinx_doc_viewer.Show()
-
+
+        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
+        if show_sphinx_docs:
+            SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
+            if SPHINX_DOC_ENV in os.environ:
+                docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+            else:
+                docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
+
+            if os.path.exists(docs_path):
+                from documentation_window import DocumentationWindow
+
+                sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
+                sphinx_doc_viewer.Show()
+            else:
+                logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
+        else:
+            #For red hat and maybe others who do not have Wx 3.0
+            #just send to webpage of documentation
+            webbrowser.open_new_tab('http://www.sasview.org/sasview')
 
     def set_manager(self, manager):
Index: src/sas/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/guiframe/local_perspectives/data_loader/data_loader.py	(revision b45cde35d36e3d241e3ee1427715d7ff31251ea7)
+++ src/sas/guiframe/local_perspectives/data_loader/data_loader.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -233,5 +233,5 @@
                 error_message += "Make sure the content of your file"
                 error_message += " is properly formatted.\n\n"
-                error_message += "When contacting the SasView team, mention the"
+                error_message += "When contacting the DANSE team, mention the"
                 error_message += " following:\n%s" % str(error)
             elif data_error:
Index: src/sas/guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 400155bab01bdb35b3cf83069f57cf9f47005bca)
+++ src/sas/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
@@ -35,5 +35,5 @@
     
         ## Number of points on the plot
-        self.nbins = 36
+        self.nbins = 20
         #Cursor position of Rings (Left(-1) or Right(1))
         self.xmaxd = self.base.data2D.xmax
@@ -131,7 +131,7 @@
                    math.fabs(self.outer_circle.get_radius()))
         #if the user does not specify the numbers of points to plot 
-        # the default number will be nbins= 36
+        # the default number will be nbins= 20
         if nbins == None:
-            self.nbins = 36
+            self.nbins = 20
         else:
             self.nbins = nbins
Index: src/sas/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/perspectives/calculator/data_editor.py	(revision b45cde35d36e3d241e3ee1427715d7ff31251ea7)
+++ src/sas/perspectives/calculator/data_editor.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
@@ -46,5 +46,5 @@
     
     if error is not None:
-        message += "When contacting the SasView team,"
+        message += "When contacting the DANSE team,"
         message += " mention the following:\n%s" % str(error)
     
